VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties:
[legend]

## Public Member Functions

| operator VkExternalImageFormatProperties const & () const
| operator VkExternalImageFormatProperties & ()
bool | operator== (ExternalImageFormatProperties const &rhs) const
bool | operator!= (ExternalImageFormatProperties const &rhs) const

## Data Fields

void * | pNext = nullptr
ExternalMemoryProperties | externalMemoryProperties

## Private Attributes

StructureType | sType = StructureType::eExternalImageFormatProperties

## Detailed Description

Definition at line 32337 of file vulkan.hpp.

## Member Function Documentation

## operator VkExternalImageFormatProperties &()

VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::operator VkExternalImageFormatProperties & | ( |  | ) |

inline

Definition at line 32344 of file vulkan.hpp.

{
return *reinterpret_cast<VkExternalImageFormatProperties*>(this);
}

## operator VkExternalImageFormatProperties const &()

VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::operator VkExternalImageFormatProperties const & | ( |  | ) | const

inline

Definition at line 32339 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExternalImageFormatProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::operator!= | ( | ExternalImageFormatProperties const & | rhs | ) | const

inline

Definition at line 32356 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::operator== | ( | ExternalImageFormatProperties const & | rhs | ) | const

inline

Definition at line 32349 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( externalMemoryProperties == rhs.externalMemoryProperties );
}

References externalMemoryProperties, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## externalMemoryProperties

ExternalMemoryProperties VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::externalMemoryProperties

Definition at line 32366 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::pNext = nullptr

Definition at line 32365 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::sType = StructureType::eExternalImageFormatProperties

private

Definition at line 32362 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::pNext
void * pNext
Definition: vulkan.hpp:32365
VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::operator==
bool operator==(ExternalImageFormatProperties const &rhs) const
Definition: vulkan.hpp:32349
VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::externalMemoryProperties
ExternalMemoryProperties externalMemoryProperties
Definition: vulkan.hpp:32366
VkExternalImageFormatProperties
Definition: vulkan_core.h:4381
VULKAN_HPP_NAMESPACE::ExternalImageFormatProperties::sType
StructureType sType
Definition: vulkan.hpp:32362